VSTGUI: IControlListener Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IControlListener Class Referenceabstract

`#include <icontrollistener.h>`

Inheritance diagram for IControlListener:

## Public Member Functions
virtual | ~IControlListener () noexcept=default
virtual void | valueChanged (CControl *pControl)=0
virtual int32_t | controlModifierClicked (CControl *pControl, CButtonState button)
| return 1 if you want the control to not handle it, otherwise 0
virtual void | controlBeginEdit (CControl *pControl)
virtual void | controlEndEdit (CControl *pControl)
virtual void | controlTagWillChange (CControl *pControl)
virtual void | controlTagDidChange (CControl *pControl)

## Constructor & Destructor Documentation

## ◆ ~IControlListener()

virtual ~IControlListener | ( |  | ) |
| virtualdefaultnoexcept

## Member Function Documentation

## ◆ controlBeginEdit()

virtual void controlBeginEdit | ( | CControl * | pControl | ) |
| inlinevirtual

Reimplemented in CColorChooser, DelegationController, GroupController, PadController, and VST3Editor.

## ◆ controlEndEdit()

virtual void controlEndEdit | ( | CControl * | pControl | ) |
| inlinevirtual

Reimplemented in CColorChooser, DelegationController, GroupController, PadController, and VST3Editor.

## ◆ controlModifierClicked()

virtual int32_t controlModifierClicked | ( | CControl * | pControl,
|  | CButtonState | button )
| inlinevirtual

return 1 if you want the control to not handle it, otherwise 0

Reimplemented in DelegationController.

## ◆ controlTagDidChange()

virtual void controlTagDidChange | ( | CControl * | pControl | ) |
| inlinevirtual

Reimplemented in DelegationController, and VST3Editor.

## ◆ controlTagWillChange()

virtual void controlTagWillChange | ( | CControl * | pControl | ) |
| inlinevirtual

Reimplemented in DelegationController, and VST3Editor.

## ◆ valueChanged()

virtual void valueChanged | ( | CControl * | pControl | ) |
| pure virtual

Implemented in CColorChooser, CDataBrowser, CFontChooser, CScrollView, CSplashScreen, CTabView, DelegationController, GroupController, PadController, UIDescriptionViewSwitchController, and VST3Editor.

The documentation for this class was generated from the following file:

- icontrollistener.h